Skip to main content
GET
Get a scan by ID

Path Parameters

projectId
string<uuid>
required

The unique identifier of the project

Example:

"550e8400-e29b-41d4-a716-446655440000"

scanId
string<uuid>
required

The unique identifier of the scan

Example:

"550e8400-e29b-41d4-a716-446655440001"

Response

Scan details retrieved successfully

id
string<uuid>
required

Scan unique identifier

name
string
required

Name of the scan

state
enum<string>
required

Current scan state

Available options:
queued,
running,
completed,
failed
language
string[]
required

Array of detected or target languages

projectId
string<uuid>
required

Project unique identifier

private
boolean
required

Define if the scan is private

createAt
string<date-time>
required

Creation date of the scan

updatedAt
string<date-time>
required

Last update date of the scan

containers
object[]
required
progress
number
required

Progress of the scan in percentage (0-100)

step
string
required

Current step of the scan

initializerUserId
string<uuid>

User ID who initialized the scan

scanType
string

Scan type (optional)

startTime
string<date-time>

Date and time when the scan started

endTime
string<date-time>

Date and time when the scan ended

vulnerabilityDetected
number

Number of vulnerabilities detected (optional)

errorMessage
string

Error message when scan fails

errorCode
number

Exit code from the scanner (see scanlink-error-codes.ts for reference)

errorCategory
string

Error category: authentication, cloud_provider, network, scan, api, unknown